Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 771315 - sys-apps/portage-3.0.13: can't calculate dependencies for upgrade from clang-11.0.1 to clang-11.1.0.
Summary: sys-apps/portage-3.0.13: can't calculate dependencies for upgrade from clang-...
Status: RESOLVED DUPLICATE of bug 771183
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core - Dependencies (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-18 17:56 UTC by i.Dark_Templar
Modified: 2021-03-22 00:28 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description i.Dark_Templar 2021-02-18 17:56:31 UTC
Portage can't upgrade clang and other tools from version 11.0.1 to 11.1.0

Reproducible: Always

Steps to Reproduce:
1. emerge llvm, clang, lld 11.0.1
2. emerge qt-creator. I didn't check it with qt-creator from ::gentoo, thus it might be necessary to install qt-creator[clang] from overlay ::dt-overlay-patches and/or unmask and enable clang USE-flag for qt-creator.
3. prepare to upgrade to llvm/clang/lld 11.1.0
Actual Results:  
"emerge -avuDN @world" fails to calculate dependencies

Expected Results:  
"emerge -avuDN @world" should successfully calculate dependencies.

sys-devel/llvm-11.0.1 conflicts with sys-devel/llvm-11.1.0 due to sys-devel/clang-11.0.1 which should be upgraded as well.

$ emerge -pvuDN @world --backtrack=100

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ~] sys-devel/llvm-common-11.1.0::gentoo [11.0.1::gentoo] 119 899 KiB
[ebuild     UD ] dev-libs/libgcrypt-1.8.6:0/20::gentoo [1.9.1-r1:0/20::gentoo] USE="-doc -o-flag-munging -static-libs (-asm%*)" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="(-aes%*) (-avx%) (-avx2%) (-padlock%) (-sha%) (-sse4_1%*)" 2 928 KiB
[ebuild     U  ] dev-libs/openssl-1.1.1j:0/1.1::gentoo [1.1.1i:0/1.1::gentoo] USE="asm zlib -bindist -rfc3779 -sctp -sslv3 -static-libs -test -tls-heartbeat -vanilla" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="(sse2)" 9 593 KiB
[ebuild     U ~] sys-devel/clang-common-11.1.0::gentoo [11.0.1::gentoo] 0 KiB
[ebuild     U  ] dev-util/gtk-doc-am-1.33.1::gentoo [1.32::gentoo] 751 KiB
[ebuild     U  ] dev-util/glib-utils-2.66.7::gentoo [2.64.5::gentoo] PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9" 4 732 KiB
[ebuild     U  ] dev-util/gdbus-codegen-2.66.7::gentoo [2.64.5::gentoo] PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9%" 0 KiB
[ebuild     U  ] dev-libs/glib-2.66.7:2::gentoo [2.64.5:2::gentoo] USE="dbus (mime) xattr -debug -fam -gtk-doc (-selinux) -static-libs -sysprof% -systemtap -test -utils" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U ~] sys-libs/libomp-11.1.0::gentoo [11.0.1::gentoo] USE="-cuda -hwloc -offload -ompt -test" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] x11-misc/xsettingsd-1.0.2::gentoo [1.0.0::gentoo] USE="-test%" 22 KiB
[ebuild     U ~] dev-db/sqlitebrowser-3.12.1::gentoo [3.11.1-r1::gentoo] USE="-test" 3 897 KiB
[ebuild     U  ] kde-frameworks/kio-5.77.0-r2:5/5.77::gentoo [5.77.0-r1:5/5.77::gentoo] USE="X acl designer handbook -debug -doc -kerberos -kwallet -test" 0 KiB
[ebuild     U  ] kde-plasma/plasma-workspace-5.20.5-r4:5::gentoo [5.20.5-r3:5::gentoo] USE="calendar fontconfig handbook -appstream -debug -geolocation -gps -qalculate -screencast -semantic-desktop -systemd -telemetry -test" 0 KiB
[ebuild     U  ] kde-plasma/plasma-desktop-5.20.5-r1:5::gentoo [5.20.5:5::gentoo] USE="handbook ibus policykit -debug -emoji -kaccounts -scim -semantic-desktop -test" 0 KiB

Total: 14 packages (13 upgrades, 1 downgrade), Size of downloads: 141 821 KiB

WARNING: One or more updates/rebuilds have been skipped due to a dependency conflict:

sys-devel/llvm:11

  (sys-devel/llvm-11.1.0:11/11::gentoo, ebuild scheduled for merge) USE="doc libffi ncurses -debug -exegesis -gold -libedit -test -xar -xml -z3" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" conflicts with
    ~sys-devel/llvm-11.0.1:11[llvm_targets_X86] required by (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer -debug -default-compiler-rt -default-libcxx -default-lld -doc -test -xml" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9"
    ^               ^^^^^^                     
    ~sys-devel/llvm-11.0.1:11[llvm_targets_AMDGPU] required by (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer -debug -default-compiler-rt -default-libcxx -default-lld -doc -test -xml" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9"
    ^               ^^^^^^                        
    ~sys-devel/llvm-11.0.1:11[llvm_targets_BPF] required by (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer -debug -default-compiler-rt -default-libcxx -default-lld -doc -test -xml" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9"
    ^               ^^^^^^                     
    ~sys-devel/llvm-11.0.1:11/11=[-debug,abi_x86_32(-),abi_x86_64(-)] required by (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer -debug -default-compiler-rt -default-libcxx -default-lld -doc -test -xml" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9"
    ^               ^^^^^^                                           
    ~sys-devel/llvm-11.0.1:11=[-debug,abi_x86_32(-),abi_x86_64(-)] required by (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer -debug -default-compiler-rt -default-libcxx -default-lld -doc -test -xml" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9"
    ^               ^^^^^^                                        
    ~sys-devel/llvm-11.0.1:11[llvm_targets_NVPTX] required by (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer -debug -default-compiler-rt -default-libcxx -default-lld -doc -test -xml" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9"
    ^               ^^^^^^                       


!!! The following update(s) have been skipped due to unsatisfied dependencies
!!! triggered by backtracking:

sys-devel/clang:11
sys-devel/lld:0
dev-libs/libclangformat-ide:11


I've tried backtrack 0, 30 and 100, result is same as above.
If I try to update only clang/llvm/lld, it fails:

$ emerge -pvuDN  clang llvm lld 

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ~] sys-devel/llvm-common-11.1.0::gentoo [11.0.1::gentoo] 119 899 KiB
[ebuild     UD ] dev-libs/libgcrypt-1.8.6:0/20::gentoo [1.9.1-r1:0/20::gentoo] USE="-doc -o-flag-munging -static-libs (-asm%*)" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="(-aes%*) (-avx%) (-avx2%) (-padlock%) (-sha%) (-sse4_1%*)" 2 928 KiB
[ebuild     U  ] dev-libs/openssl-1.1.1j:0/1.1::gentoo [1.1.1i:0/1.1::gentoo] USE="asm zlib -bindist -rfc3779 -sctp -sslv3 -static-libs -test -tls-heartbeat -vanilla" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="(sse2)" 9 593 KiB
[ebuild     U ~] sys-devel/clang-common-11.1.0::gentoo [11.0.1::gentoo] 0 KiB
[ebuild     U  ] dev-util/gtk-doc-am-1.33.1::gentoo [1.32::gentoo] 751 KiB
[ebuild     U  ] dev-util/glib-utils-2.66.7::gentoo [2.64.5::gentoo] PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9" 4 732 KiB
[ebuild     U  ] dev-util/gdbus-codegen-2.66.7::gentoo [2.64.5::gentoo] PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9%" 0 KiB
[ebuild     U  ] dev-libs/glib-2.66.7:2::gentoo [2.64.5:2::gentoo] USE="dbus (mime) xattr -debug -fam -gtk-doc (-selinux) -static-libs -sysprof% -systemtap -test -utils" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U ~] sys-libs/libomp-11.1.0::gentoo [11.0.1::gentoo] USE="-cuda -hwloc -offload -ompt -test" ABI_X86="32 (64) (-x32)" 0 KiB

Total: 9 packages (8 upgrades, 1 downgrade), Size of downloads: 137 902 KiB

WARNING: One or more updates/rebuilds have been skipped due to a dependency conflict:

sys-devel/llvm:11

  (sys-devel/llvm-11.1.0:11/11::gentoo, ebuild scheduled for merge) USE="doc libffi ncurses -debug -exegesis -gold -libedit -test -xar -xml -z3" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" conflicts with
    ~sys-devel/llvm-11.0.1:11[llvm_targets_BPF] required by (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer -debug -default-compiler-rt -default-libcxx -default-lld -doc -test -xml" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9"
    ^               ^^^^^^                     
    ~sys-devel/llvm-11.0.1:11[llvm_targets_AMDGPU] required by (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer -debug -default-compiler-rt -default-libcxx -default-lld -doc -test -xml" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9"
    ^               ^^^^^^                        
    ~sys-devel/llvm-11.0.1:11[llvm_targets_X86] required by (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer -debug -default-compiler-rt -default-libcxx -default-lld -doc -test -xml" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9"
    ^               ^^^^^^                     
    ~sys-devel/llvm-11.0.1:11/11=[-debug,abi_x86_32(-),abi_x86_64(-)] required by (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer -debug -default-compiler-rt -default-libcxx -default-lld -doc -test -xml" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9"
    ^               ^^^^^^                                           
    ~sys-devel/llvm-11.0.1:11[llvm_targets_NVPTX] required by (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer -debug -default-compiler-rt -default-libcxx -default-lld -doc -test -xml" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9"
    ^               ^^^^^^                       
    ~sys-devel/llvm-11.0.1:11/11=[-debug] required by (dev-libs/libclangformat-ide-11.0.1:11/11::dt-overlay-patches, installed) USE="-debug" ABI_X86="(64)"
    ^               ^^^^^^               
    ~sys-devel/llvm-11.0.1:11=[-debug,abi_x86_32(-),abi_x86_64(-)] required by (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer -debug -default-compiler-rt -default-libcxx -default-lld -doc -test -xml" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9"
    ^               ^^^^^^                                        


!!! The following update(s) have been skipped due to unsatisfied dependencies
!!! triggered by backtracking:

sys-devel/lld:0
sys-devel/clang:11

But if I remove options "-uDN" it succeeds to calculate dependencies:

$ emerge -pv  clang llvm lld    

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ~] sys-devel/llvm-11.1.0:11::gentoo [11.0.1:11::gentoo] USE="doc libffi ncurses -debug -exegesis -gold -libedit -test -xar -xml -z3" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" 119 899 KiB
[ebuild     U ~] sys-libs/libomp-11.1.0::gentoo [11.0.1::gentoo] USE="-cuda -hwloc -offload -ompt -test" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U ~] sys-devel/lld-11.1.0::gentoo [11.0.1::gentoo] USE="-test" 0 KiB
[ebuild  r  U ~] sys-devel/clang-11.1.0:11/11.1::gentoo [11.0.1:11/11::gentoo] USE="static-analyzer -debug -default-compiler-rt -default-libcxx -default-lld -doc -test -xml" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9" 0 KiB
[ebuild  NS   ~] sys-libs/compiler-rt-11.1.0:11.1.0::gentoo [11.0.1:11.0.1::gentoo] USE="clang -test" 0 KiB
[ebuild  NS   ~] sys-libs/compiler-rt-sanitizers-11.1.0:11.1.0::gentoo [11.0.1:11.0.1::gentoo] USE="asan cfi clang dfsan gwp-asan hwasan libfuzzer msan profile safestack scudo tsan ubsan xray (-lsan) (-shadowcallstack) -test" 0 KiB
[ebuild  NS   ~] sys-devel/clang-runtime-11.1.0:11.1.0::gentoo [11.0.1:11.0.1::gentoo] USE="compiler-rt openmp sanitize -libcxx" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild  rR    ] dev-qt/qdoc-5.15.2:5/5.15::dt-overlay-patches  USE="doc qml -debug -test" 0 KiB
[ebuild  rR   ~] dev-qt/qt-creator-4.14.0::dt-overlay-patches  USE="autotest beautifier clang cmake cppcheck designer doc git glsl help perfprofiler qmldesigner qmlprofiler valgrind webengine -android -baremetal -boot2qt -clangrefactoring -clearcase -ctfvisualizer -cvs -ios -lsp -mcu -mercurial -modeling -nim -perforce -python -qbs -qnx -remotelinux -scxml -serialterminal -silversearcher -subversion -systemd -test -webassembly -winrt" L10N="ru -cs -da -de -fr -ja -pl -sl -uk -zh-CN -zh-TW" 0 KiB

Total: 9 packages (4 upgrades, 3 in new slots, 2 reinstalls), Size of downloads: 119 899 KiB

The following packages are causing rebuilds:

  (sys-devel/clang-11.1.0:11/11.1::gentoo, ebuild scheduled for merge) causes rebuilds for:
    (dev-qt/qt-creator-4.14.0:0/0::dt-overlay-patches, ebuild scheduled for merge)
    (dev-qt/qdoc-5.15.2:5/5.15::dt-overlay-patches, ebuild scheduled for merge)
Comment 1 i.Dark_Templar 2021-02-18 17:57:06 UTC
$ emerge --info  sys-devel/llvm  sys-devel/llvm-common dev-libs/libclangformat-ide sys-devel/clang sys-devel/clang-common sys-devel/clang-runtime sys-devel/lld dev-qt/qt-creator media-libs/mesa portage
Portage 3.0.13 (python 3.8.7-final-0, default/linux/amd64/17.1/desktop, gcc-9.3.0, glibc-2.32-r6, 5.4.97-gentoo.54 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-5.4.97-gentoo.54-x86_64-Intel-R-_Core-TM-_i5-6500_CPU_@_3.20GHz-with-glibc2.2.5
KiB Mem:    16352920 total,   9705924 free
KiB Swap:    4192252 total,   4192252 free
Timestamp of repository gentoo: Thu, 18 Feb 2021 00:45:01 +0000
sh bash 5.0_p18
ld GNU ld (Gentoo 2.35.1 p2) 2.35.1
app-shells/bash:          5.0_p18::gentoo
dev-lang/perl:            5.30.3::gentoo
dev-lang/python:          2.7.18-r6::gentoo, 3.8.7-r1::gentoo, 3.9.1-r1::gentoo
dev-util/cmake:           3.18.5::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/openrc:          0.42.1-r1::gentoo
sys-apps/sandbox:         2.20::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.13.4-r2::gentoo, 1.16.2-r1::gentoo
sys-devel/binutils:       2.35.1-r1::gentoo
sys-devel/gcc:            9.3.0-r2::gentoo
sys-devel/gcc-config:     2.3.2-r1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.4-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.32-r6::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: webrsync
    sync-uri: https://mirror.yandex.ru/gentoo-distfiles/
    priority: -1000
    sync-webrsync-verify-signature: true

dt-overlay-crossdev
    location: /var/db/repos/dt-overlay-crossdev
    masters: gentoo
    priority: 50

dt-overlay-patches
    location: /var/lib/layman/dt-overlay-patches
    sync-type: laymansync
    sync-uri: https://github.com/iDarkTemplar/dt-overlay-patches.git
    masters: gentoo
    priority: 50

dt-overlay-private
    location: /var/db/repos/dt-overlay-private
    masters: gentoo
    priority: 50

dt-overlay-public
    location: /var/lib/layman/dt-overlay-public
    sync-type: laymansync
    sync-uri: https://github.com/iDarkTemplar/dt-overlay-public.git
    masters: gentoo
    priority: 50

rion
    location: /var/lib/layman/rion
    sync-type: laymansync
    sync-uri: https://github.com/rion-overlay/rion-overlay.git
    masters: gentoo
    priority: 50

steam-overlay
    location: /var/lib/layman/steam-overlay
    sync-type: laymansync
    sync-uri: https://github.com/anyc/steam-overlay.git
    masters: gentoo
    priority: 50

tastytea
    location: /var/lib/layman/tastytea
    sync-type: laymansync
    sync-uri: https://schlomp.space/tastytea/overlay.git
    masters: gentoo
    priority: 50

Installed sets: @alsa, @archive-tools, @audacious, @bootloader, @devel-packages, @devel-tools, @devel-tools-x11, @fcitx, @filesystem-tools, @filesystem-tools-android, @fonts, @fonts-extra, @fortune, @gstreamer, @hardware-tools, @hardware-tools-x11, @ibus, @image-tools, @kde5, @language-tools, @mail-server, @media, @media-converters, @mingw, @network-analyzers, @network-tools, @network-tools-extra, @opengl-devel, @opengl-utils, @pidgin, @portage-tools, @portage-tools-dev, @portage-tools-extra, @power-utils, @printers, @psi, @pulseaudio, @qt5-meta, @qt6-meta, @system-admin-utils, @system-admin-utils-extra, @system-daemons, @system-daemons-extra, @system-utils, @system-utils-extra, @tesseract, @text-utils, @virtualbox, @vpn, @wine, @x11-core, @x11-extras, @x11-utils
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer -fwrapv"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe -fomit-frame-pointer -fwrapv"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps=y --binpkg-respect-use=y --autounmask=n --complete-graph=y --keep-going"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="binpkg-docompress binpkg-dostrip binpkg-logs distlocks ebuild-locks fakeroot fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.yandex.ru/gentoo-distfiles/ http://mirror.leaseweb.com/gentoo/ http://mirror.netcologne.de/gentoo/ http://trumpetti.atm.tut.fi/gentoo/ ftp://mirror.yandex.ru/gentoo-distfiles/ http://mirror.bytemark.co.uk/gentoo/ http://gentoo.supp.name/ http://mirror.eu.oneandone.net/linux/distributions/gentoo/gentoo/ http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ http://mirrors.soeasyto.com/distfiles.gentoo.org/"
INSTALL_MASK="     /etc/systemd /lib*/systemd /usr/lib*/systemd /usr/lib*/python*/test "
LANG="ru_RU.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa amd64 amr apm ares bash-completion bidi bluetooth bluray branding bzip2 c++0x cairo caps cdda cdio cdr cleartype cli cracklib crypt cue cups cxx dbus designer dga dirac dri dts dvd dvdr elogind emboss encode exif faad fbcon fcitx4 ffmpeg filecaps flac fontconfig fontforge freetype fribidi gif gme gmp gpm gtk gtkstyle gui ibus iconv icu idn imlib inotify ipv6 jadetex jpeg kde lcms libass libdvdcss libglvnd libtirpc lzma lzo mad matroska midi mmap mng mp3 mp4 mpeg multilib ncurses network nfs nls nptl offensive ogg openal opengl openmp opus pam pango pch pcmcia pcntl pcre pdf pic plasma plymouth png policykit posix postproc ppds private-headers projectm pulseaudio qml qt5 raw readline schroedinger seccomp sftp sndfile sockets spell split-usr ssl startup-notification svg system-cairo system-harfbuzz system-icu system-jpeg system-libevent system-libvpx system-sqlite tcpd tga theora threads tiff truetype udev udisks unicode upower usb utils vaapi vdpau vorbis vpx vulkan wavpack wma wxwidgets x264 xattr xcb xcomposite xft xinerama xpm xscreensaver xv xvid zlib zstd" ABI_X86="64 32" ADA_TARGET="gnat_2018" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes f16c mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" L10N="ru en" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-3 php7-4" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_8" PYTHON_TARGETS="python3_8" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby26" SANE_BACKENDS="hp" USERLAND="GNU" VIDEO_CARDS="vesa vga nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

sys-devel/llvm-11.0.1::gentoo was built with the following:
USE="doc libffi ncurses -debug -exegesis -gold -libedit -test -xar -xml -z3" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore"
FEATURES="parallel-fetch userfetch sandbox fixlafiles qa-unresolved-soname-deps unmerge-logs fakeroot news unknown-features-warn userpriv preserve-libs distlocks network-sandbox pid-sandbox binpkg-docompress unmerge-orphans binpkg-dostrip usersandbox ipc-sandbox usersync binpkg-logs multilib-strict merge-sync strict protect-owned sfperms xattr ebuild-locks"


sys-devel/llvm-common-11.0.1::gentoo was built with the following:
USE="" ABI_X86="(64)"


dev-libs/libclangformat-ide-11.0.1::dt-overlay-patches was built with the following:
USE="-debug" ABI_X86="(64)"


sys-devel/clang-11.0.1::gentoo was built with the following:
USE="static-analyzer -debug -default-compiler-rt -default-libcxx -default-lld -doc -test -xml" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9"
FEATURES="xattr fakeroot fixlafiles sandbox binpkg-logs ipc-sandbox protect-owned unmerge-orphans unmerge-logs parallel-fetch userpriv multilib-strict binpkg-dostrip news merge-sync userfetch strict usersandbox qa-unresolved-soname-deps distlocks binpkg-docompress network-sandbox sfperms usersync ebuild-locks pid-sandbox unknown-features-warn preserve-libs"


sys-devel/clang-common-11.0.1::gentoo was built with the following:
USE="" ABI_X86="(64)"


sys-devel/clang-runtime-11.0.1::gentoo was built with the following:
USE="compiler-rt openmp sanitize -libcxx" ABI_X86="32 (64) (-x32)"


sys-devel/lld-11.0.1::gentoo was built with the following:
USE="-test" ABI_X86="(64)"
FEATURES="parallel-fetch userfetch sandbox fixlafiles qa-unresolved-soname-deps unmerge-logs fakeroot news unknown-features-warn userpriv preserve-libs distlocks network-sandbox pid-sandbox binpkg-docompress unmerge-orphans binpkg-dostrip usersandbox ipc-sandbox usersync binpkg-logs multilib-strict merge-sync strict protect-owned sfperms xattr ebuild-locks"


dev-qt/qt-creator-4.14.0::dt-overlay-patches was built with the following:
USE="autotest beautifier clang cmake cppcheck designer doc git glsl help perfprofiler qmldesigner qmlprofiler valgrind webengine -android -baremetal -boot2qt -clangrefactoring -clearcase -ctfvisualizer -cvs -ios -lsp -mcu -mercurial -modeling -nim -perforce -python -qbs -qnx -remotelinux -scxml -serialterminal -silversearcher -subversion -systemd -test -webassembly -winrt" ABI_X86="(64)" L10N="ru -cs -da -de -fr -ja -pl -sl -uk -zh-CN -zh-TW"
FEATURES="fakeroot userpriv parallel-fetch preserve-libs pid-sandbox protect-owned unmerge-orphans sandbox fixlafiles ebuild-locks usersync unknown-features-warn binpkg-docompress distlocks strict multilib-strict unmerge-logs binpkg-logs ipc-sandbox xattr merge-sync network-sandbox qa-unresolved-soname-deps userfetch news usersandbox sfperms binpkg-dostrip"


media-libs/mesa-21.0.0_rc3::gentoo was built with the following:
USE="X classic dri3 egl gallium gbm gles1 gles2 llvm osmesa unwind wayland zstd -d3d9 -debug -lm-sensors -opencl (-selinux) -test -vaapi -valgrind -vdpau -vulkan -vulkan-overlay -xa -xvmc -zink" ABI_X86="32 (64) (-x32)" VIDEO_CARDS="(-freedreno) -i915 -i965 -intel -iris (-lima) -nouveau (-panfrost) -r100 -r200 -r300 -r600 -radeon -radeonsi (-v3d) (-vc4) -virgl (-vivante) -vmware"
FEATURES="ebuild-locks fakeroot strict binpkg-docompress sfperms userfetch usersandbox xattr preserve-libs userpriv news fixlafiles merge-sync binpkg-logs binpkg-dostrip unmerge-orphans network-sandbox parallel-fetch ipc-sandbox protect-owned unknown-features-warn distlocks sandbox multilib-strict pid-sandbox qa-unresolved-soname-deps unmerge-logs usersync"


sys-apps/portage-3.0.13::gentoo was built with the following:
USE="doc (ipc) native-extensions rsync-verify xattr -apidoc -build -gentoo-dev (-selinux) -test" ABI_X86="(64)" PYTHON_TARGETS="python3_8 (-pypy3) -python3_7 -python3_9"
FEATURES="merge-sync preserve-libs userfetch pid-sandbox parallel-fetch multilib-strict unknown-features-warn binpkg-logs ipc-sandbox unmerge-orphans usersync news unmerge-logs ebuild-locks sfperms fakeroot sandbox qa-unresolved-soname-deps strict protect-owned binpkg-docompress xattr usersandbox fixlafiles network-sandbox userpriv distlocks binpkg-dostrip"
Comment 2 Sam James archtester gentoo-dev Security 2021-02-18 18:01:03 UTC
--backtrack=0 may be helpful here
Comment 3 i.Dark_Templar 2021-02-18 18:13:33 UTC
# emerge -avuDN @world --exclude libgcrypt --verbose-conflicts --backtrack=0                

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ~] sys-devel/llvm-common-11.1.0::gentoo [11.0.1::gentoo] 119 899 KiB
[ebuild     U  ] dev-libs/openssl-1.1.1j:0/1.1::gentoo [1.1.1i:0/1.1::gentoo] USE="asm zlib -bindist -rfc3779 -sctp -sslv3 -static-libs -test -tls-heartbeat -vanilla" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="(sse2)" 9 593 KiB
[ebuild     U ~] sys-devel/clang-common-11.1.0::gentoo [11.0.1::gentoo] 0 KiB
[ebuild     U  ] dev-util/gtk-doc-am-1.33.1::gentoo [1.32::gentoo] 751 KiB
[ebuild     U  ] dev-util/glib-utils-2.66.7::gentoo [2.64.5::gentoo] PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9" 4 732 KiB
[ebuild     U  ] dev-util/gdbus-codegen-2.66.7::gentoo [2.64.5::gentoo] PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9%" 0 KiB
[ebuild     U  ] dev-libs/glib-2.66.7:2::gentoo [2.64.5:2::gentoo] USE="dbus (mime) xattr -debug -fam -gtk-doc (-selinux) -static-libs -sysprof% -systemtap -test -utils" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U ~] sys-devel/llvm-11.1.0:11::gentoo [11.0.1:11::gentoo] USE="doc libffi ncurses -debug -exegesis -gold -libedit -test -xar -xml -z3" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" 0 KiB
[ebuild     U ~] sys-libs/libomp-11.1.0::gentoo [11.0.1::gentoo] USE="-cuda -hwloc -offload -ompt -test" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] x11-misc/xsettingsd-1.0.2::gentoo [1.0.0::gentoo] USE="-test%" 22 KiB
[ebuild     U ~] sys-devel/lld-11.1.0::gentoo [11.0.1::gentoo] USE="-test" 0 KiB
[ebuild     U ~] dev-libs/libclangformat-ide-11.1.0:11::dt-overlay-patches [11.0.1:11::dt-overlay-patches] USE="-debug" 0 KiB
[ebuild     U ~] dev-db/sqlitebrowser-3.12.1::gentoo [3.11.1-r1::gentoo] USE="-test" 3 897 KiB
[ebuild     U  ] kde-frameworks/kio-5.77.0-r2:5/5.77::gentoo [5.77.0-r1:5/5.77::gentoo] USE="X acl designer handbook -debug -doc -kerberos -kwallet -test" 0 KiB
[ebuild     U  ] kde-plasma/plasma-workspace-5.20.5-r4:5::gentoo [5.20.5-r3:5::gentoo] USE="calendar fontconfig handbook -appstream -debug -geolocation -gps -qalculate -screencast -semantic-desktop -systemd -telemetry -test" 0 KiB
[ebuild     U  ] kde-plasma/plasma-desktop-5.20.5-r1:5::gentoo [5.20.5:5::gentoo] USE="handbook ibus policykit -debug -emoji -kaccounts -scim -semantic-desktop -test" 0 KiB

Total: 16 packages (16 upgrades), Size of downloads: 138 894 KiB

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

sys-devel/llvm:11

  (sys-devel/llvm-11.1.0:11/11::gentoo, ebuild scheduled for merge) USE="doc libffi ncurses -debug -exegesis -gold -libedit -test -xar -xml -z3" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" pulled in by
    ~sys-devel/llvm-11.1.0:11=[debug=] required by (dev-libs/libclangformat-ide-11.1.0:11/11::dt-overlay-patches, ebuild scheduled for merge) USE="-debug" ABI_X86="(64)"
    ^               ^^^^^^^^^^                                                                                                                                                                                                                                                           
    ~sys-devel/llvm-11.1.0 required by (sys-devel/lld-11.1.0:0/0::gentoo, ebuild scheduled for merge) USE="-test" ABI_X86="(64)"
    ^               ^^^^^^                                                                                                                                                                                                   

  (sys-devel/llvm-11.0.1:11/11::gentoo, installed) USE="doc libffi ncurses -debug -exegesis -gold -libedit -test -xar -xml -z3" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" pulled in by
    ~sys-devel/llvm-11.0.1:11[llvm_targets_NVPTX] required by (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer -debug -default-compiler-rt -default-libcxx -default-lld -doc -test -xml" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9"
    ^               ^^^^^^^^^                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
    ~sys-devel/llvm-11.0.1:11[llvm_targets_BPF] required by (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer -debug -default-compiler-rt -default-libcxx -default-lld -doc -test -xml" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9"
    ^               ^^^^^^^^^                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
    ~sys-devel/llvm-11.0.1:11=[debug=,abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_s390_32(-)?,abi_s390_64(-)?] required by (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer -debug -default-compiler-rt -default-libcxx -default-lld -doc -test -xml" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9"
    ^               ^^^^^^^^^^                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
    ~sys-devel/llvm-11.0.1:11[llvm_targets_X86] required by (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer -debug -default-compiler-rt -default-libcxx -default-lld -doc -test -xml" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9"
    ^               ^^^^^^^^^                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
    ~sys-devel/llvm-11.0.1:11[llvm_targets_AMDGPU] required by (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer -debug -default-compiler-rt -default-libcxx -default-lld -doc -test -xml" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9"
    ^               ^^^^^^^^^                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    ~sys-devel/llvm-11.0.1:11/11=[-debug,abi_x86_32(-),abi_x86_64(-)] required by (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer -debug -default-compiler-rt -default-libcxx -default-lld -doc -test -xml" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9"
    ^               ^^^^^^^^^^^^^
Comment 4 i.Dark_Templar 2021-02-18 18:15:25 UTC
I didn't set LLVM_TARGETS, thus it has default value, but it looks like it may be a duplicate of a bug you linked.
Comment 5 i.Dark_Templar 2021-02-19 05:48:20 UTC
Packages depending on clang, llvm and lld:

$ emerge -cpv llvm clang lld

Calculating dependencies... done!
  sys-devel/clang-11.0.1 pulled in by:
    @devel-tools requires sys-devel/clang
    dev-qt/qdoc-5.15.2 requires sys-devel/clang:=, sys-devel/clang:11/11=
    dev-qt/qt-creator-4.14.0 requires sys-devel/clang:11, <sys-devel/clang-12:11/11=, <sys-devel/clang-12:=
    dev-qt/qttools-6.0.0-r2 requires sys-devel/clang:=, sys-devel/clang:11/11=
    mail-client/thunderbird-78.7.1-r1 requires sys-devel/clang:11
    sys-devel/clang-common-11.1.0 requires sys-devel/clang:*
    sys-libs/compiler-rt-11.0.1 requires sys-devel/clang
    sys-libs/compiler-rt-sanitizers-11.0.1 requires sys-devel/clang
    www-client/firefox-78.7.1-r1 requires sys-devel/clang:11

  sys-devel/lld-11.0.1 pulled in by:
    mail-client/thunderbird-78.7.1-r1 requires =sys-devel/lld-11*
    www-client/firefox-78.7.1-r1 requires =sys-devel/lld-11*

  sys-devel/llvm-11.0.1 pulled in by:
    dev-lang/spidermonkey-78.6.0 requires sys-devel/llvm:11
    dev-libs/libclangformat-ide-11.0.1 requires ~sys-devel/llvm-11.0.1:11/11=[-debug]
    mail-client/thunderbird-78.7.1-r1 requires sys-devel/llvm:11
    media-gfx/blender-2.91.2 requires sys-devel/llvm:=, sys-devel/llvm:11/11=
    media-libs/mesa-21.0.0_rc3 requires sys-devel/llvm:11[abi_x86_32(-),abi_x86_64(-)], <sys-devel/llvm-12:=[abi_x86_32(-),abi_x86_64(-)], <sys-devel/llvm-12:11/11=[abi_x86_32(-),abi_x86_64(-)]
    sys-devel/clang-11.0.1 requires ~sys-devel/llvm-11.0.1:11[llvm_targets_NVPTX], ~sys-devel/llvm-11.0.1:11[llvm_targets_BPF], ~sys-devel/llvm-11.0.1:11/11=[-debug,abi_x86_32(-),abi_x86_64(-)], ~sys-devel/llvm-11.0.1:11[llvm_targets_AMDGPU], ~sys-devel/llvm-11.0.1:11=[-debug,abi_x86_32(-),abi_x86_64(-)], ~sys-devel/llvm-11.0.1:11[llvm_targets_X86]
    sys-devel/lld-11.0.1 requires ~sys-devel/llvm-11.0.1
    sys-libs/compiler-rt-11.0.1 requires >=sys-devel/llvm-6
    sys-libs/compiler-rt-sanitizers-11.0.1 requires >=sys-devel/llvm-6
    www-client/firefox-78.7.1-r1 requires sys-devel/llvm:11

>>> No packages selected for removal by depclean
Packages installed:   1553
Packages in world:    294
Packages in system:   43
Required packages:    1553
Number to remove:     0
Comment 6 Zac Medico gentoo-dev 2021-03-22 00:28:00 UTC

*** This bug has been marked as a duplicate of bug 771183 ***